const express = require('express');
const router = express.Router();
const { protect } = require('../middleware/authMiddleware');
const {
    loginUser,
    updatePassword,
    getUserProfile,
    getUserById,
    updateUser
} = require('../controllers/userController');

// 公开路由
router.post('/login', loginUser);

// 需要认证的路由
router.get('/profile', protect, getUserProfile);
router.put('/password', protect, updatePassword);
router.get('/:id', protect, getUserById);
router.put('/:id', protect, updateUser);

module.exports = router; 